<?php
include "config.php";
?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>How to Upload And Store File To PostgreSQL with PHP</title>

	<!-- CSS only -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet" >
</head>
<body>

	<div class="container mt-5">
		<div class="row">
			<?php 
			
			// Fetch all records
			$sql = "select * from files";
		  	$records = pg_query($con, $sql);

		  	$html = "";
		  	while ($row = pg_fetch_assoc($records) ){
		  		$file_name = $row['file_name'];
		  		$file_path = $row['file_path'];

		  		$extension = strtolower(pathinfo($file_path,PATHINFO_EXTENSION));

		  		$html .= "<div class='col-md-3' >";
		  		$imageExtensions_arr = array("jpg","jpeg","png");
		  		if(in_array($extension,$imageExtensions_arr)){
		  			$html .= "<img src='".$file_path."' width='200px' height='200px' >";
		  			$html .= "<br>".$file_name;
		  		}else{
		  			$html .= "<a href='".$file_path."' >".$file_name."</a>";
		  		}
		  		$html .= "</div>";
		  	}

		  	echo $html;
			?>
		</div>
	</div>
	
</body>
</html>